Summary: Embedded SSL Library
Name: wolfssl35
Version: 5.6.3
Release: 1%{dist}
License: GPLv2
Group: System Environment/Libraries
BuildRequires: gcc
BuildRequires: glibc
BuildRequires: glibc-common
BuildRequires: glibc-devel
BuildRequires: glibc-headers
BuildRequires: make
BuildRequires: pkgconfig
BuildRequires: sed
BuildRequires: tar
URL: http://www.wolfssl.com/

Packager: Brian Aker <brian@tangent.org>

Source: http://wolfssl.com/wolfssl-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%global soname 35
%description
Misc tools for wolfSSL.

%package devel
Summary: Header files and development libraries for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files and development libraries
for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup -q -n wolfssl-%{version}

%build
%configure  '--enable-distro' '--enable-pkcs11'
%{__make} %{?_smp_mflags}
if [ "no" = "yes" ]
then
echo Updating wolfSSL FIPS hash
./fips-hash.sh
%{__make} %{?_smp_mflags}
fi

%install
%{__rm} -rf %{buildroot}
%{__make} install  DESTDIR="%{buildroot}" AM_INSTALL_PROGRAM_FLAGS=""
mkdir -p $RPM_BUILD_ROOT/
%{__rm} -f %{buildroot}/%{_libdir}/libwolfssl.la
%{__rm} -f %{buildroot}/%{_libdir}/libwolfssl.a
%{__cp} wolfssl/options.h %{buildroot}%{_includedir}/wolfssl
%{__rm} -rf %{buildroot}%{_includedir}/cyassl
mv %{buildroot}/%{_docdir}/wolfssl %{buildroot}/%{_docdir}/wolfssl%{soname}


%check


%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog.md COPYING README README.md
%{_docdir}/wolfssl%{soname}/taoCert.txt
%{_docdir}/wolfssl%{soname}/example/echoserver.c
%{_docdir}/wolfssl%{soname}/example/server.c
%{_docdir}/wolfssl%{soname}/example/echoclient.c
%{_docdir}/wolfssl%{soname}/example/client.c
%{_docdir}/wolfssl%{soname}/example/sctp-client.c
%{_docdir}/wolfssl%{soname}/example/sctp-server.c
%{_docdir}/wolfssl%{soname}/example/sctp-client-dtls.c
%{_docdir}/wolfssl%{soname}/example/sctp-server-dtls.c
%{_docdir}/wolfssl%{soname}/example/tls_bench.c
%{_docdir}/wolfssl%{soname}/README.txt
%{_docdir}/wolfssl%{soname}/QUIC.md

%{_libdir}/libwolfssl.so.*

%files devel
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog.md COPYING README README.md
%{_bindir}/wolfssl-config
%{_includedir}/wolfssl/*.h
%{_includedir}/wolfssl/wolfcrypt/*.h
%{_includedir}/wolfssl/openssl/*.h
%{_libdir}/pkgconfig/wolfssl.pc
%if "yes" != "no"
%{_includedir}/wolfssl/wolfcrypt/sp_int.h
%endif
%{_libdir}/pkgconfig/wolfssl.pc
%if "no" != "no"
%{_includedir}/wolfssl/wolfcrypt/fips.h
%endif
%{_libdir}/libwolfssl.so

%changelog
* Mon Oct 17 2022 Juliusz Sosinowicz <juliusz@wolfssl.com>
- Updates for building FIPS packages and general maintenance
* Tue Sep 27 2022 Jacob Barthelmeh <jacob@wolfssl.com>
- Add include of kyber headers
* Tue Aug 30 2022 Jacob Barthelmeh <jacob@wolfssl.com>
- Add include of QUIC documentation
* Wed Aug 17 2022 Anthony Hu <anthony@wolfssl.com>
- Add a new header sphincs.h.
* Wed Jul 20 2022 Anthony Hu <anthony@wolfssl.com>
- Add a new header dilithium.h.
* Fri Jul 8 2022 Jacob Barthelmeh <jacob@wolfssl.com>
- Add missing sp_int.h file
* Mon May 2 2022 Jacob Barthelmeh <jacob@wolfssl.com>
- Add missing kdf.h file
* Wed Feb 16 2022 John Safranek <john@wolfssl.com>
- Update for new release.
* Mon Dec 27 2021 Jacob Barthelmeh <jacob@wolfssl.com>
- Add a missing headers camellia.h, modes.h from compat layer.
- Add a missing header falcon.h.
* Mon Nov 01 2021 Jacob Barthelmeh <jacob@wolfssl.com>
- Add a missing headers cmac.h, compat_types.h from compat layer.
* Thu Jul 08 2021 Jacob Barthelmeh <jacob@wolfssl.com>
- Add a missing header eccsi, sakke.
* Thu Mar 25 2021 John Safranek <john@wolfssl.com>
- Add new header kdf.h
* Mon Aug 17 2020 John Safranek <john@wolfssl.com>
- Add a missing header.
- Update for release.
* Thu Apr 16 2020 John Safranek <john@wolfssl.com>
- Add some missing headers.
- Sort the file list.
* Thu Dec 19 2019 Jacob Barthelmeh <jacob@wolfssl.com>
- Add wolfssl/openssl/tls1.h, wolfssl/openssl/x509_vfy.h
* Fri Mar 15 2019 John Safranek <john@wolfssl.com>
- Updates for the v4 release.
* Thu Dec 20 2018 Jacob Barthelmeh <jacob@wolfssl.com>
- Remove wolfssl/wolfcrypt/fips.h, add wolfssl/openssl/pkcs7.h
* Wed Jun 20 2018 Jacob Barthelmeh <jacob@wolfssl.com>
- Remove NEWS, update ChangeLog to ChangeLog.md, remove wolfssl/wolfcrypt/fips.h, add wolfssl/wolfcrypt/cryptocb.h
* Thu May 31 2018 John Safranek <john@wolfssl.com>
- Update the version number on the library SO file.
* Fri Mar 02 2018 Jacob Barthelmeh <jacob@wolfssl.com>
- Added headder files fips.h, buffer.h, objects.h, rc4.h and example tls_bench.c
* Fri Sep 08 2017 Jacob Barthelmeh <jacob@wolfssl.com>
- Change name for header wolfssl/io.h to wolfssl/wolfio.h
* Fri Aug 04 2017 Jacob Barthelmeh <jacob@wolfssl.com>
- Added header for wolfssl/wolfcrypt/cpuid.h, wolfssl/wolfcrypt/sha3.h
* Thu May 04 2017 Jacob Barthelmeh <jacob@wolfssl.com>
- Added header for wolfssl/io.h, wolfssl/openssl/ssl23.h, cyassl/openssl/ssl23.h
* Thu Feb 09 2017 Jacob Barthelmeh <jacob@wolfssl.com>
- Added header for wolfssl/wolfcrypt/wolfmath.h
* Fri Nov 11 2016 Jacob Barthelmeh <jacob@wolfssl.com>
- Added header for wolfssl/openssl/aes.h
* Fri Oct 28 2016 Jacob Barthelmeh <jacob@wolfssl.com>
- Added header for pkcs12
* Fri Sep 23 2016 John Safranek <john@wolfssl.com>
- Add the dtls-sctp example sources
* Tue Jun 14 2016 Jacob Barthelmeh <jacob@wolfssl.com>
- Change location for mem_track.h header
- Added header for cmac.h
* Thu Mar 17 2016 Jacob Barthelmeh <jacob@wolfssl.com>
- Added header for mem_track.h
* Wed Dec 30 2015 Jacob Barthelmeh <jacob@wolfssl.com>
- Added headers for curve25519 and ed25519 openssl compatibility
- Added headers for Idea, srp, signature, and wc_encrypt
* Tue Mar 31 2015 John Safranek <john@wolfssl.com>
- Added recent new wolfcrypt headers for curve25519
* Fri Jan 09 2015 John Safranek <john@wolfssl.com>
- Update for cyassl->wolfssl name change
* Sat Oct 20 2012 Brian Aker <brian@tangent.org>
- Initial package
